import os
from dotenv import load_dotenv

# 支持 .env 文件自动加载
dotenv_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), ".env")
load_dotenv(dotenv_path)

def get_env(key: str, default: str = "") -> str:
    """获取环境变量"""
    return os.getenv(key, default)

def get_int_env(key: str, default: int = 0) -> int:
    """获取整数类型环境变量"""
    try:
        return int(os.getenv(key, default))
    except ValueError:
        return default
